summaryrefslogtreecommitdiff
path: root/net-analyzer
diff options
context:
space:
mode:
Diffstat (limited to 'net-analyzer')
-rw-r--r--net-analyzer/Manifest.gzbin49785 -> 49784 bytes
-rw-r--r--net-analyzer/icinga-web/Manifest2
-rw-r--r--net-analyzer/icinga-web/icinga-web-1.14.1.ebuild205
-rw-r--r--net-analyzer/icinga/Manifest2
-rw-r--r--net-analyzer/icinga/icinga-1.14.2.ebuild274
-rw-r--r--net-analyzer/mk-livestatus/Manifest4
-rw-r--r--net-analyzer/mk-livestatus/mk-livestatus-1.2.8_p16.ebuild1
-rw-r--r--net-analyzer/mk-livestatus/mk-livestatus-1.2.8_p26.ebuild157
-rw-r--r--net-analyzer/netcat/Manifest2
-rw-r--r--net-analyzer/netcat/metadata.xml3
-rw-r--r--net-analyzer/rrdtool/Manifest2
-rw-r--r--net-analyzer/rrdtool/rrdtool-1.6.0-r1.ebuild2
12 files changed, 646 insertions, 8 deletions
diff --git a/net-analyzer/Manifest.gz b/net-analyzer/Manifest.gz
index 74839a4f85c1..a46e54a38ec9 100644
--- a/net-analyzer/Manifest.gz
+++ b/net-analyzer/Manifest.gz
Binary files differ
diff --git a/net-analyzer/icinga-web/Manifest b/net-analyzer/icinga-web/Manifest
index 1c2656b91c71..5fbbd92aaf10 100644
--- a/net-analyzer/icinga-web/Manifest
+++ b/net-analyzer/icinga-web/Manifest
@@ -1,3 +1,5 @@
DIST icinga-web-1.14.0.tar.gz 14523746 BLAKE2B cff22c031ecc8af73690ea69c692b530aebd3f35c7a148999aedd9b142a6c304a88ee62af28ac0f80c09174bde6c1af15131596ad2ae8a7c3238a247261adc60 SHA512 9e429ffaf84efb08e0ad009af2dd90179366d4de5720bc09574228d3a6dec967eddc04402f5fac220e7af14761afec4b9021f70255102829e21880591d702d3b
+DIST icinga-web-1.14.1.tar.gz 14524043 BLAKE2B 0a3bdf9afc77b508dd3967e38050f6babfe01240f8cf8196158abe42818079b09a962513541298d0b0ac2b1497640d292cf1ef4feac24e302c0622f6ef0fafd8 SHA512 1ddb1fe128c2ceff20e232d61d84abebbe9578f2ef9bf0c408523c399ab6125dedc7d4e82981fff113aba8959a1ac02712032b4a36e5aa951850c084792a47bb
EBUILD icinga-web-1.14.0.ebuild 6360 BLAKE2B 361c749beca799db709a9dce0bc449e668a61cedab1d03b2a974dcc523918aa9a20aa48042a6f3446e236d24645707ca57dd2a44b562b390eefe436fb71733e0 SHA512 2f0e86345412a2af5541fe9dfb949abef6f7fd53018c65b876ef9d1a64b3c7cac015f49f8f4f8716f28fe2a6d4136dff3da448ce8f92e7816d86ce2c80e1fc2b
+EBUILD icinga-web-1.14.1.ebuild 6360 BLAKE2B f8962deafc94072f82cab470c1259b523be0bbdbfddb29fd821d8861117e5c10c481c15de2a5f97f081ba99ad7a3eeb77730a2eda7f8b3d2317a0a54ba55a5d7 SHA512 2f16087f01e522ebcfda874a5cdd7cbcf9778dc0d032009212717cb9a28eae1fb0df3f9f8cd89705af13a66e9bce3f20c004684de6891bef6e457043844f1f07
MISC metadata.xml 565 BLAKE2B 8f3d66d10fc929779bccaed43db56800be1cd81ed044b0244e8db73b89d9587b9554a59915477dccf5fb0bd7d4f96d9b6330a9309c0e79d20bbd458d827bdfbe SHA512 534f181a73fff13650cd97081c748cf0d75424bab7826ac83eda2a09e6cd3737fd447db3ad9a0207b2cdb24cc84f0515ad5282de2024ec6eddae2a85be41a084
diff --git a/net-analyzer/icinga-web/icinga-web-1.14.1.ebuild b/net-analyzer/icinga-web/icinga-web-1.14.1.ebuild
new file mode 100644
index 000000000000..cac1bd8c81a5
--- /dev/null
+++ b/net-analyzer/icinga-web/icinga-web-1.14.1.ebuild
@@ -0,0 +1,205 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="5"
+
+inherit depend.apache eutils user multilib
+
+DESCRIPTION="Icinga Web - new Web Interface"
+HOMEPAGE="http://www.icinga.org/"
+SRC_URI="https://github.com/icinga/${PN}/archive/v${PV}/${P}.tar.gz"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+IUSE="apache2 mysql pnp postgres"
+DEPEND="dev-php/phing
+ dev-db/libdbi-drivers[mysql?,postgres?]
+ || ( >=net-analyzer/icinga-1.10.0 >=net-analyzer/icinga2-2.1.1 )
+ dev-lang/php:=[apache2?,cli,json,mysql?,pdo,postgres?,sockets,xslt,xml]
+ pnp? ( net-analyzer/pnp4nagios )"
+RDEPEND="${DEPEND}"
+
+want_apache2
+
+pkg_setup() {
+ if use apache2 ; then
+ depend.apache_pkg_setup
+ fi
+ enewgroup icinga
+ enewgroup nagios
+ enewuser icinga -1 -1 /var/lib/icinga "icinga,nagios"
+}
+
+src_prepare() {
+ #removed checks for some php stuff since we have these things called use flags
+ sed -i 's/ACICINGA_CHECK_PHP_MODULE/\#ACICINGA_CHECK_PHP_MODULE/g' configure.ac
+ sed -i 's/make\ /make\ \-j1\ /g' lib/Makefile.in
+ autoreconf
+}
+
+src_configure() {
+ local myconf
+
+ myconf="--prefix=/usr/share/icinga/icinga-web
+ --bindir=/usr/sbin
+ --sbindir=/usr/$(get_libdir)/icinga/cgi-bin
+ --datarootdir=/usr/share/icinga/htdocs
+ --localstatedir=/var/lib/icinga
+ --sysconfdir=/etc/icinga
+ --libexecdir=/usr/$(get_libdir)/icinga/plugins
+ --with-bin-user=icinga
+ --with-bin-group=nagios
+ --with-api-cmd-file=/var/lib/icinga/rw/icinga.cmd
+ --with-conf-dir=/etc/icinga-web
+ --with-log-dir=/var/log/icinga-web
+ --with-icinga-objects-dir=/etc/icinga/objects
+ --with-icinga-bin=/usr/sbin/icinga
+ --with-icinga-cfg=/etc/icinga/icinga.cfg"
+
+ if use apache2 ; then
+ myconf+=" --with-web-user=apache
+ --with-web-group=apache
+ --with-web-apache-path=${APACHE_MODULES_CONFDIR}"
+ else
+ myconf+=" --with-web-user=root
+ --with-web-group=root"
+ fi
+
+ if use postgres ; then
+ myconf+=" --with-db-type=pgsql
+ --with-db-port=5432
+ --with-api-subtype=pgsql
+ --with-api-port=5432"
+ fi
+
+ econf ${myconf}
+}
+
+src_install() {
+ dodoc README
+ rm -f README
+
+ emake -j1 DESTDIR="${D}" install
+
+ emake DESTDIR="${D}" install-javascript
+
+ if use apache2 ; then
+ dodir ${APACHE_MODULES_CONFDIR}
+ emake DESTDIR="${D}" install-apache-config
+ echo '<IfDefine ICINGA_WEB>' > "${D}/${APACHE_MODULES_CONFDIR}/99_icinga-web.conf"
+ cat "${WORKDIR}/${P}/etc/apache2/icinga-web.conf" >> "${D}/${APACHE_MODULES_CONFDIR}/99_icinga-web.conf"
+ rm "${D}/${APACHE_MODULES_CONFDIR}/icinga-web.conf" || die "rm failed"
+ echo '</IfDefine>' >> "${D}/${APACHE_MODULES_CONFDIR}/99_icinga-web.conf"
+ fi
+
+ insinto /usr/share/icinga/icinga-web/contrib
+ doins -r etc/schema/*
+
+ if use apache2 ; then
+ sed -i 's/%%USER%%/apache/g' etc/scheduler/icingaCron
+ else
+ sed -i 's/%%USER%%/root/g' etc/scheduler/icingaCron
+ fi
+ sed -i 's/%%PATH%%/\/usr\/share\/icinga\/icinga-web/g' etc/scheduler/icingaCron
+
+ dodir /usr/share/icinga/icinga-web/cron/
+ cat - >> "${D}"/usr/share/icinga/icinga-web/cron/crontab <<EOF
+# Force the shell to bash
+SHELL=/bin/bash
+#mail to root
+MAILTO=root
+
+#runs every minute
+* * * * * /usr/bin/php /usr/share/icinga/icinga-web/lib/icingaScheduler/icingaCron.php --useAgavi --exec >> /var/log/icinga-web/cron_error.log
+EOF
+
+ cat - >> "${D}"/usr/share/icinga/icinga-web/cron/fcrontab <<EOF
+# Mail reports to root
+!mailto(root)
+
+#runs every minute
+@ 1 /usr/bin/php /usr/share/icinga/icinga-web/lib/icingaScheduler/icingaCron.php --useAgavi --exec >> /var/log/icinga-web/cron_error.log
+EOF
+
+ if use apache2 ; then
+ diropts -o apache -g apache
+ else
+ diropts -o root -g root
+ fi
+ dodir /var/log/icinga-web
+
+ if use apache2 ; then
+ fowners apache:apache /usr/share/icinga/icinga-web/lib/icingaScheduler/res/storage.dat
+ else
+ fowners root:root /usr/share/icinga/icinga-web/lib/icingaScheduler/res/storage.dat
+ fi
+
+ if use pnp ; then
+ insinto /usr/share/icinga/icinga-web/app/modules/Cronks/data/xml/extensions/
+ doins contrib/PNP_Integration/templateExtensions/pnp-host-extension.xml
+ doins contrib/PNP_Integration/templateExtensions/pnp-service-extension.xml
+ fi
+}
+
+pkg_config() {
+ einfo "press enter to install the icinga-web crontab"
+ einfo "installation from /usr/share/icinga/icinga-web/cron/icingaCron"
+ einfo
+ read
+
+ if has_version sys-process/fcron; then
+ fcrontab - -u root < /usr/share/icinga/icinga-web/cron/fcrontab
+ else
+ crontab - -u root < /usr/share/icinga/icinga-web/cron/crontab
+ fi
+}
+
+pkg_postinst() {
+ einfo
+ einfo "If this is a new install, you must create a new database for it, e.g. icinga_web."
+ einfo "You can find the database scripts in /usr/share/icinga/icinga-web/contrib/."
+ einfo
+ einfo "Additionally, you need to setup a database user."
+ einfo "The user must have default data privileges like SELECT, UPDATE, INSERT, DELETE."
+ einfo
+ einfo "Example for a MySQL database:"
+ einfo " echo \"CREATE DATABASE icinga_web;\" | mysql"
+ einfo " echo \"GRANT SELECT,UPDATE,INSERT,DELETE ON icinga_web.* TO 'icinga_web'@'localhost' IDENTIFIED BY 'xxxxxx';\" | mysql"
+ einfo " echo \"FLUSH PRIVILEGES;\" | mysql"
+ einfo
+ einfo " cat /usr/share/icinga/icinga-web/contrib/mysql.sql | mysql icinga_web"
+ einfo
+
+ ewarn
+ ewarn "If you're upgrading from a previous release, you must upgrade your database schema."
+ ewarn "You can find upgrade scripts in /usr/share/icinga/icinga-web/contrib/updates/."
+ ewarn
+ ewarn "IMPORTANT: If you are upgrading from an older version and there are other versions in between,"
+ ewarn " be advised that you need to apply those upgrade files with incremental steps!"
+ ewarn
+ ewarn "Example to upgrade a MySQL database:"
+ ewarn " cat /usr/share/icinga/icinga-web/contrib/updates/mysql_<oldversion>_to_<newversion>.sql | mysql icinga_web"
+ ewarn
+ ewarn "Don't forget to clear the config cache."
+ ewarn " /usr/share/icinga/icinga-web/bin/clearcache.sh"
+ ewarn
+
+ einfo
+ einfo "Please note that the magic_quotes_gpc setting must be disabled (in both apache and cli php.ini)."
+ einfo
+
+ if use apache2 ; then
+ einfo
+ einfo "apache config was installed into"
+ einfo "/etc/apache2/modules.d/99_icinga-web.conf"
+ einfo
+ einfo "The apache config value for \'ServerTokens\' must be set to at"
+ einfo "least \'Min\'."
+ einfo
+ else
+ einfo
+ einfo "If you are not using apache you may need to change some"
+ einfo "permissions, so that your web server can access files and logs"
+ einfo
+ fi
+}
diff --git a/net-analyzer/icinga/Manifest b/net-analyzer/icinga/Manifest
index 4e443b191cdd..21fb300d2ab3 100644
--- a/net-analyzer/icinga/Manifest
+++ b/net-analyzer/icinga/Manifest
@@ -8,7 +8,9 @@ AUX ido2db-init.d 822 BLAKE2B 6affaf5af609a93ee1c12b9ff0b76e3cd4883ab26e58fedd6b
DIST CVE-2015-8010_1.13.3.patch 177807 BLAKE2B c3832442d2953f28793236cd29c537041fc68e976e593da4793cd55c240de784c5bb3996ff38464097b3af27bb276d21c7538c90d2470d5067a831b1800f2874 SHA512 bc82e588db33fbb955002cf51ae7b0e40109d4ec3fa6199b046ffbf23b649d74fbdd04c8fb4a5af4cd44301e26f30aa295a9574281c14bc45eec2b9149a6339a
DIST icinga-1.13.4.tar.gz 18741576 BLAKE2B fccc88c8749d405e29961e5a1510bec7f920fc43910be757668392098f4ff19ed9f659de911f97e150eea8bd8cfd7a60b440704bdcd9aba450ba1ea29222d1cf SHA512 245f94facfcbb125ed6be26a2544292b7ce6d59a6d38374b7ef1b24b2ca3deaaff56720542c3747d36ab4998b88b367ca40bbd061491e0770e21505bd7c0a1d6
DIST icinga-1.14.0.tar.gz 20779347 BLAKE2B 65899e99fdc57563aa1dee6f19572c032c5ab6e2aa7093482bd6d6068b4d066d3630ce9bf1396efcb65592d4f25292149178dac81a2a0b775745f70b7409bcc0 SHA512 f02c60c2bd1d3dff4a5a42f9d3c3362ada421f2cd83362b3cdd05f59b0aafe4f61255b621afed1fbf959415545a94ce6b3124bf2ffac22f0f2bdb8a67e75ad7a
+DIST icinga-1.14.2.tar.gz 20779284 BLAKE2B ffc5ab7195faa64b01ae2f37385590405a5525b5ba0cb357bbdc24eb61c1590d25f299d706debb1af1026215dd3800c5133a5fe81cbce8708e0f7ee761a584e2 SHA512 9e993d9653497a5942ad6c3d1ef50b5da4153ba2c7a747aa094c2628f36b687033588b629ca21f8955c84fc6a15f7a7d8169f8b8677f36939bab76cc5e398e41
EBUILD icinga-1.13.4.ebuild 7956 BLAKE2B 656e1db2b2d7ae0d1b7ccb2eb931565212732e2530542c1bb81cdc293f79bcc7909cc80964e475e29bd40a93abded0377dd3fcbb01640bbaa1dd846716053459 SHA512 ec0b90e102cc5f0b282731f923c15b259c4581f35eaed8eafd13678f9455754f808004b38c0f03eb723ff61fcffb51750f90163e6c4b2b5c887a286e029c429f
EBUILD icinga-1.14.0-r1.ebuild 7691 BLAKE2B d8b0cb7ca1d92107adb0a0e34053cb7928e40146df6f6092497c1c73ce3fcbfab53ba856a58b4b61f6fd2c23a1f15023d609e7c92c6209c0916441ce7a520ade SHA512 b3778bcc58c99ff27d3c801a45c57027aa431d9edb8c2b4bb7d7119e1a8a0cbe36218553a5226510d0b9122cd196241230d488caf313ca56fae2475df0f8c21a
EBUILD icinga-1.14.0.ebuild 7920 BLAKE2B d5fe3a133c5733b7116376e4ca7c64ca7c621a6dfea314c6464e40d11004151a647594ca9502dff679236d7783d85465fab5b48efdb833d8421243462065dc42 SHA512 ef73833c299d5dba38c489e77a8faf22356949bc7599f5e6da2d3540921015507410062227d7330a42155b32e3d84cca252b4366fc43e735d39f3c6a3d1111cd
+EBUILD icinga-1.14.2.ebuild 7691 BLAKE2B d8b0cb7ca1d92107adb0a0e34053cb7928e40146df6f6092497c1c73ce3fcbfab53ba856a58b4b61f6fd2c23a1f15023d609e7c92c6209c0916441ce7a520ade SHA512 b3778bcc58c99ff27d3c801a45c57027aa431d9edb8c2b4bb7d7119e1a8a0cbe36218553a5226510d0b9122cd196241230d488caf313ca56fae2475df0f8c21a
MISC metadata.xml 853 BLAKE2B 6825b192328f944e2389f221e4dbf5fffea45f1cb650866a8240e53c723ae9b40473e092d48003844fd99b65db4e6ddc7747eddbf7239e7cf4ecddfcca375eb8 SHA512 1aad02d84c0e90f4f0f5ed54e326d9a14e77f5146b3ba9293279e009f45900a69e1b2fcc9f54cb02111f05bb2aef0370cda1b4bc4fffa4fc4dd0c2a073e0a92b
diff --git a/net-analyzer/icinga/icinga-1.14.2.ebuild b/net-analyzer/icinga/icinga-1.14.2.ebuild
new file mode 100644
index 000000000000..681ce94efa8d
--- /dev/null
+++ b/net-analyzer/icinga/icinga-1.14.2.ebuild
@@ -0,0 +1,274 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit depend.apache eutils multilib pax-utils toolchain-funcs user versionator
+
+DESCRIPTION="Nagios Fork - Check daemon, CGIs, docs, IDOutils"
+HOMEPAGE="http://www.icinga.org/"
+#MY_PV=$(delete_version_separator 3)
+#SRC_URI="mirror://sourceforge/${PN}/${PN}-${MY_PV}.tar.gz"
+#S=${WORKDIR}/${PN}-${MY_PV}
+#SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+SRC_URI="https://github.com/${PN}/${PN}-core/archive/v${PV}/${P}.tar.gz"
+S="${WORKDIR}/${PN}-core-${PV}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86"
+IUSE="+apache2 contrib eventhandler +idoutils lighttpd +mysql perl +plugins postgres ssl +vim-syntax +web"
+DEPEND="idoutils? ( dev-db/libdbi-drivers[mysql?,postgres?] )
+ perl? ( dev-lang/perl:= )
+ virtual/mailx
+ web? (
+ media-libs/gd[jpeg,png]
+ lighttpd? ( www-servers/lighttpd )
+ )
+ !net-analyzer/nagios-core"
+RDEPEND="${DEPEND}
+ plugins? ( || (
+ net-analyzer/monitoring-plugins
+ net-analyzer/nagios-plugins
+ ) )"
+RESTRICT="test"
+
+want_apache2
+
+pkg_setup() {
+ depend.apache_pkg_setup
+ enewgroup icinga
+ enewgroup nagios
+ enewuser icinga -1 -1 /var/lib/icinga "icinga,nagios"
+}
+
+src_prepare() {
+ epatch "${FILESDIR}/fix-prestripped-binaries-1.7.0.patch"
+ eapply_user
+}
+
+src_configure() {
+ local myconf
+
+ myconf="$(use_enable perl embedded-perl)
+ $(use_with perl perlcache)
+ $(use_enable idoutils)
+ $(use_enable ssl)
+ --with-cgiurl=/icinga/cgi-bin
+ --with-log-dir=/var/log/icinga
+ --libdir=/usr/$(get_libdir)
+ --bindir=/usr/sbin
+ --sbindir=/usr/$(get_libdir)/icinga/cgi-bin
+ --datarootdir=/usr/share/icinga/htdocs
+ --localstatedir=/var/lib/icinga
+ --sysconfdir=/etc/icinga
+ --with-lockfile=/var/run/icinga/icinga.lock
+ --with-temp-dir=/tmp/icinga
+ --with-temp-file=/tmp/icinga/icinga.tmp"
+
+ if use idoutils ; then
+ myconf+=" --with-ido2db-lockfile=/var/run/icinga/ido2db.lock
+ --with-icinga-chkfile=/var/lib/icinga/icinga.chk
+ --with-ido-sockfile=/var/lib/icinga/ido.sock
+ --with-idomod-tmpfile=/tmp/icinga/idomod.tmp"
+ fi
+
+ if use eventhandler ; then
+ myconfig+=" --with-eventhandler-dir=/etc/icinga/eventhandlers"
+ fi
+
+ if use plugins ; then
+ myconf+=" --with-plugin-dir=/usr/$(get_libdir)/nagios/plugins"
+ else
+ myconf+=" --with-plugin-dir=/usr/$(get_libdir)/nagios/plugins"
+ fi
+
+ if use !apache2 && use !lighttpd ; then
+ myconf+=" --with-command-group=icinga"
+ else
+ if use apache2 ; then
+ myconf+=" --with-httpd-conf=/etc/apache2/conf.d"
+ myconf+=" --with-command-group=apache"
+ elif use lighttpd ; then
+ myconf+=" --with-command-group=lighttpd"
+ fi
+ fi
+
+ econf ${myconf}
+}
+
+src_compile() {
+ tc-export CC
+
+ emake icinga
+
+ if use web ; then
+ emake DESTDIR="${D}" cgis
+ fi
+
+ if use contrib ; then
+ emake DESTDIR="${D}" -C contrib
+ fi
+
+ if use idoutils ; then
+ emake DESTDIR="${D}" idoutils
+ fi
+}
+
+src_install() {
+ dodoc Changelog README UPGRADING
+
+ if ! use web ; then
+ sed -i -e '/cd $(SRC_\(CGI\|HTM\))/d' Makefile
+ fi
+
+ emake DESTDIR="${D}" install{,-config,-commandmode}
+
+ if use idoutils ; then
+ emake DESTDIR="${D}" install-idoutils
+ fi
+
+ if use contrib ; then
+ emake DESTDIR="${D}" -C contrib install
+ fi
+
+ if use eventhandler ; then
+ emake DESTDIR="${D}" install-eventhandlers
+ fi
+
+ newinitd "${FILESDIR}"/icinga-init.d icinga
+ newconfd "${FILESDIR}"/icinga-conf.d icinga
+ if use idoutils ; then
+ newinitd "${FILESDIR}"/ido2db-init.d ido2db
+ newconfd "${FILESDIR}"/ido2db-conf.d ido2db
+ insinto /usr/share/icinga/contrib/db
+ doins -r module/idoutils/db/*
+ fi
+ # Apache Module
+ if use web ; then
+ if use apache2 ; then
+ insinto "${APACHE_MODULES_CONFDIR}"
+ newins "${FILESDIR}"/icinga-apache.conf 99_icinga.conf
+ elif use lighttpd ; then
+ insinto /etc/lighttpd
+ newins "${FILESDIR}"/icinga-lighty.conf lighttpd_icinga.conf
+ else
+ ewarn "${CATEGORY}/${PF} only supports Apache-2.x or Lighttpd webserver"
+ ewarn "out-of-the-box. Since you are not using one of them, you"
+ ewarn "have to configure your webserver accordingly yourself."
+ fi
+ fowners -R root:root /usr/$(get_libdir)/icinga
+ cd "${D}"
+ find usr/$(get_libdir)/icinga -type d -exec fperms 755 {} +
+ find usr/$(get_libdir)/icinga/cgi-bin -type f -exec fperms 755 {} +
+ fi
+
+ if use eventhandler ; then
+ dodir /etc/icinga/eventhandlers
+# fowners icinga:icinga /etc/icinga/eventhandlers
+ fi
+
+ keepdir /etc/icinga
+ keepdir /var/lib/icinga
+ keepdir /var/lib/icinga/archives
+ keepdir /var/lib/icinga/rw
+ keepdir /var/lib/icinga/spool/checkresults
+
+ if use apache2 ; then
+ webserver=apache
+ elif use lighttpd ; then
+ webserver=lighttpd
+ else
+ webserver=icinga
+ fi
+
+ fowners icinga:icinga /var/lib/icinga
+ fowners -R icinga:${webserver} /var/lib/icinga/rw
+
+ fperms 6755 /var/lib/icinga/rw
+
+ # ensure ownership
+ fowners -R root:root /etc/icinga
+ fperms 0750 /etc/icinga
+ fowners -R root:root /usr/sbin
+ fowners -R root:root /usr/$(get_libdir)
+ fowners -R root:root /usr/share/icinga/htdocs
+
+ # paxmarks
+ if use idoutils ; then
+ pax-mark m usr/sbin/ido2db
+ fi
+}
+
+pkg_postinst() {
+ if use web ; then
+ elog "This does not include cgis that are perl-dependent"
+ elog "Currently traceroute.cgi is perl-dependent"
+ elog "Note that the user your webserver is running as needs"
+ elog "read-access to /etc/icinga."
+ elog
+ if use apache2 || use lighttpd ; then
+ elog "There are several possible solutions to accomplish this,"
+ elog "choose the one you are most comfortable with:"
+ elog
+ if use apache2 ; then
+ elog " usermod -G icinga apache"
+ elog "or"
+ elog " chown icinga:apache /etc/icinga"
+ elog
+ elog "Also edit /etc/conf.d/apache2 and add a line like"
+ elog "APACHE2_OPTS=\"\$APACHE2_OPTS -D ICINGA\""
+ elog
+ elog "Icinga web service needs user authentication. If you"
+ elog "use the base configuration, you need a password file"
+ elog "with a password for user \"icingaadmin\""
+ elog "You can create this file by executing:"
+ elog "htpasswd -c /etc/icinga/htpasswd.users icingaadmin"
+ elog
+ elog "you may want to also add apache to the icinga group"
+ elog "to allow it access to the AuthUserFile"
+ elog
+ elif use lighttpd ; then
+ elog " usermod -G icinga lighttpd "
+ elog "or"
+ elog " chown icinga:lighttpd /etc/icinga"
+ elog "Also edit /etc/lighttpd/lighttpd.conf and add 'include \"lighttpd_icinga.conf\"'"
+ fi
+ elog
+ elog "That will make icinga's web front end visable via"
+ elog "http://localhost/icinga/"
+ elog
+ else
+ elog "IMPORTANT: Do not forget to add the user your webserver"
+ elog "is running as to the icinga group!"
+ fi
+ else
+ ewarn "Please note that you have installed Icinga without web interface."
+ ewarn "Please don't file any bugs about having no web interface when you do this."
+ ewarn "Thank you!"
+ fi
+ elog
+ elog "If you want icinga to start at boot time"
+ elog "remember to execute:"
+ elog " rc-update add icinga default"
+ elog
+ elog "If your kernel has /proc protection, icinga"
+ elog "will not be happy as it relies on accessing the proc"
+ elog "filesystem. You can fix this by adding icinga into"
+ elog "the group wheel, but this is not recomended."
+ elog
+ if [ -d "${ROOT}"/var/icinga ] ; then
+ ewarn
+ ewarn "/var/icinga was moved to /var/lib/icinga"
+ ewarn "please move the files if this was an upgrade"
+ if use idoutils ; then
+ ewarn "and edit /etc/ido2db.cfg to change the location of the files"
+ ewarn "it accesses"
+ ewarn "update your db with the scripts under the directory"
+ ewarn "/usr/share/icinga/contrib/db/"
+ fi
+ ewarn
+ ewarn "The \"mv /var/icinga /var/lib/\" command works well to move the files"
+ ewarn "remove /var/icinga afterwards to make this warning disappear"
+ fi
+}
diff --git a/net-analyzer/mk-livestatus/Manifest b/net-analyzer/mk-livestatus/Manifest
index abbbead50291..6480845fc79a 100644
--- a/net-analyzer/mk-livestatus/Manifest
+++ b/net-analyzer/mk-livestatus/Manifest
@@ -2,6 +2,8 @@ AUX 1.2.8_p10-MEDIUM-Drop-default-strip.patch 812 BLAKE2B f02aee31116dede718ef36
AUX 1.2.8_p10-MINOR-test-Remove-the-usage-of-Perl-Critic-Policy-Mo.patch 1111 BLAKE2B fb036de5371602ad2ef36ad4916d2f6193a8e8fef4ea2adebe1ace6225ae9c76ffc3ec72ec6649b3ed45e423e3cf6351f86d82d0f524c1a6842066f1e43be99e SHA512 162daa81e2122dfd806e3227b3d22775fa3c36d97e92ce638328e46b99d54d2ff9c1ee51b525677a48a40c180ee0cac2c5c8fbcf50bebdb2f6a18ff836310404
DIST mk-livestatus-1.2.8p10.tar.gz 453496 BLAKE2B 5c6cb41dff2d3cc29837088c18c6f7e4bfa6a5a9a3802adafe86fb28523bfc8037fc0c69770861612568db5fc8b61569663c3033201c6293b6da2dba3de55100 SHA512 ff25c2a8d0105fdd156bc922b56df10e3497361620671dc73242db0a7b57fbd34955b5f4fbd9954602c8011b1f6a5ebd4e278df7c3e66639d74110fd0035682d
DIST mk-livestatus-1.2.8p16.tar.gz 453565 BLAKE2B 73b4f2d245740e9427af391691a3873b2930bbef1de2b147cefdde1b84f24e7acf61aa748a8adaad4290c77d9b1c7aef7540c69d44c420522c5d56115127b49b SHA512 32d4bc014c008ac7afbdca53e6b3e0d71f8eee5f41f4a0299a8e14cee2a1ea93216fe04c4ff9aa7d7b927dde8e63d186f09a2847665851f1063e699cf73a8df4
+DIST mk-livestatus-1.2.8p26.tar.gz 453508 BLAKE2B 75338c65b2c323d4ef2637ef2507f6f213bd3b58a32c0bd377a3c0c0ead34c75394539eaec08d40ee9ea16ca2534158ee4c6823387f3fc3648a02a22d86e0395 SHA512 8afeb6e750d7eb310380153af91f9c6f889f6e350e26dc97f923a49b2e3cc6c0b866f893664ad5d9fd9c0e8671b0a69e1267e464e4de9faf75a2eb24536ae014
EBUILD mk-livestatus-1.2.8_p10.ebuild 2656 BLAKE2B 958ece38b2dce2786d511151c5d241e3206a2df46e44894b1e8a0eaac5a7e3261ae2801076c92d63fcb02ba7bf278e8daf5e6ab1a79af5d6cfd494f12916d0a7 SHA512 348b1a88b335865bf0867d3f61a4b4d5787942c50c9b6c5f5f9da85ec81c128a879dc634797823924c0b140d4364a154e4d750cea7f8d8ab1f3e59cf6fb68d9c
-EBUILD mk-livestatus-1.2.8_p16.ebuild 3456 BLAKE2B 4a12799126dec494b6913ec1c432ffbafffe63a0da781c9851f7fa9bf6d77c5e2bce6f09fef62cf82ef49eb81eddc9dd24cac88740f742d83b3174f6cad4a64c SHA512 a2d86da6a554f9d918afc07d494730682ce17314eff7a206f469d6b268146cdd800fe56459815f2bea7283fa925976e3d184195f588cf620c485e9a75166f608
+EBUILD mk-livestatus-1.2.8_p16.ebuild 3398 BLAKE2B f1ddd89d4c48c4cafa0752ce956b3060e1572bb478fe727098ebf44cf70597ae63b3652c6baa8e77fd42fe7a536e947722c13ac38da837d641a368f7c08c57c1 SHA512 087cfeeb0e372769cefda5cdfc3c1e1f85ac43471b8be7f53be0e8eeaee181fe2aa3372c5494ae1222f49a05744f7e122f8af93b37e482224e90941ec62e7ae3
+EBUILD mk-livestatus-1.2.8_p26.ebuild 3366 BLAKE2B 44affea35699297de896373cb2c13fbaad2af5f28c21bfad404b66dfeeab93b9ed52abe99ae686177222e5cda537ae3ab2ff234bc25056f59d1718d7080656f2 SHA512 30502fbf7cae12d60d9ec1e3dae113184378c4328b5a9d6f4d0c349e7c6bca1cf025236afc75e3253ed21cd56565a6e917b5c2f9f38a35969034808e5c8d7a17
MISC metadata.xml 617 BLAKE2B d334e2ab6cf614f4c1a8c5ab0c4d5f14e4b841618548cb1e621cd8adc2f5e9565d4c7b640313841f0bc6f906dd8204939119d5b1e2ab2737fb6355e9f11846d6 SHA512 227a4ec9dad38a0be74140697b5095c694ca6837d1bf6fc396f6de28781eba572164e9c8cf7273a8b7286f2d68e5b8efe2facde4b705901d4d675936ccd9d87e
diff --git a/net-analyzer/mk-livestatus/mk-livestatus-1.2.8_p16.ebuild b/net-analyzer/mk-livestatus/mk-livestatus-1.2.8_p16.ebuild
index 4d0653d1def5..611b5856b891 100644
--- a/net-analyzer/mk-livestatus/mk-livestatus-1.2.8_p16.ebuild
+++ b/net-analyzer/mk-livestatus/mk-livestatus-1.2.8_p16.ebuild
@@ -114,7 +114,6 @@ broker_module=${EPREFIX%/}/usr/$(get_libdir)/mk-livestatus/livestatus.o
EOF
# same for icigna
cat <<EOF >"${T}"/icigna.cfg
- cat << EOF > "${T}"/livestatus.cfg || die
define module{
module_name mk-livestatus
module_type neb
diff --git a/net-analyzer/mk-livestatus/mk-livestatus-1.2.8_p26.ebuild b/net-analyzer/mk-livestatus/mk-livestatus-1.2.8_p26.ebuild
new file mode 100644
index 000000000000..3813d1d6918e
--- /dev/null
+++ b/net-analyzer/mk-livestatus/mk-livestatus-1.2.8_p26.ebuild
@@ -0,0 +1,157 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+GENTOO_DEPEND_ON_PERL=no
+PYTHON_COMPAT=( python2_7 )
+inherit autotools perl-module python-single-r1
+
+MY_PV="${PV/_p/p}"
+MY_P="${PN}-${MY_PV}"
+
+DESCRIPTION="Nagios/Icinga event broker that allows quick/direct access to your status data"
+HOMEPAGE="http://mathias-kettner.de/checkmk_livestatus.html"
+SRC_URI="http://mathias-kettner.de/download/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="examples nagios4 perl python test"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND="!sys-apps/ucspi-unix:0
+ perl? (
+ dev-lang/perl:0
+ virtual/perl-Digest-MD5:0
+ virtual/perl-Scalar-List-Utils:0
+ >=virtual/perl-Thread-Queue-2.11:0
+ virtual/perl-Encode:0
+ dev-perl/JSON-XS:0
+ )
+ python? ( ${PYTHON_DEPS} )"
+DEPEND="${RDEPEND}
+ perl? (
+ dev-perl/Module-Install:0
+ virtual/perl-ExtUtils-MakeMaker:0
+ virtual/perl-File-Path:0
+ virtual/perl-File-Spec:0
+ virtual/perl-File-Temp:0
+ test? (
+ dev-perl/File-Copy-Recursive:0
+ dev-perl/Test-Pod:0
+ dev-perl/Test-Perl-Critic:0
+ dev-perl/Test-Pod-Coverage:0
+ dev-perl/Perl-Critic:0
+ dev-perl/Perl-Critic-Policy-Dynamic-NoIndirect:0
+ dev-perl/Perl-Critic-Deprecated:0
+ dev-perl/Perl-Critic-Nits:0
+ )
+ )"
+
+# For perl test
+SRC_TEST="parallel"
+
+S="${WORKDIR}/${MY_P}"
+
+PATCHES=(
+ "${FILESDIR}/1.2.8_p10-MEDIUM-Drop-default-strip.patch"
+ "${FILESDIR}/1.2.8_p10-MINOR-test-Remove-the-usage-of-Perl-Critic-Policy-Mo.patch"
+)
+
+src_prepare() {
+ default
+
+ # Use system Module::Install instead, it will be copied to $S by
+ # Module::install itself.
+ rm -rf api/perl/inc || die
+
+ if use perl; then
+ # Ensure patches are not applied twice
+ unset PATCHES
+ perl-module_src_prepare
+ fi
+
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ $(use_with nagios4)
+
+ if use perl; then
+ cd api/perl || die
+ perl-module_src_configure
+ fi
+}
+
+src_compile() {
+ emake
+
+ if use perl; then
+ cd api/perl || die
+ perl-module_src_compile
+ fi
+}
+
+src_test() {
+ if use perl; then
+ cd api/perl || die
+
+ export TEST_AUTHOR="Test Author"
+ perl-module_src_test
+ fi
+}
+
+src_install() {
+ emake install DESTDIR="${ED}"
+
+ # install a config file showing whats needed to enable livestatus for nagios
+ cat <<EOF >"${T}"/nagios.cfg
+# Ensure all data is set to event brokers
+event_broker_options=-1
+broker_module=${EPREFIX%/}/usr/$(get_libdir)/${PN}/livestatus.o
+EOF
+ # same for icigna
+ cat <<EOF >"${T}"/icigna.cfg
+define module{
+ module_name ${PN}
+ module_type neb
+ path /usr/$(get_libdir)/${PN}/livestatus.o
+ args /var/lib/icigna/rw/live
+ }
+EOF
+ insinto /usr/share/${PN}
+ doins "${T}"/{nagios,icigna}.cfg
+
+ if use perl; then
+ cd api/perl || die
+ perl-module_src_install
+ cd "${S}"
+
+ if use examples; then
+ docinto /
+ newdoc api/perl/README README.perl
+
+ docinto examples
+ dodoc api/perl/examples/dump.pl
+ fi
+ fi
+
+ if use python; then
+ python_foreach_impl python_domodule api/python/livestatus.py
+
+ if use examples; then
+ docinto /
+ newdoc api/python/README README.python
+
+ docinto examples
+ dodoc api/python/{example,example_multisite,make_nagvis_map}.py
+ fi
+ fi
+}
+
+pkg_postinst() {
+ elog "Sample configurations for icigna and nagios are available in"
+ elog "/usr/share/${PN}"
+}
diff --git a/net-analyzer/netcat/Manifest b/net-analyzer/netcat/Manifest
index dffee97e0342..28a69785ebeb 100644
--- a/net-analyzer/netcat/Manifest
+++ b/net-analyzer/netcat/Manifest
@@ -2,4 +2,4 @@ DIST nc-v6-20000918.patch.gz 8740 BLAKE2B 56274ee32a77f335c31b5593ae92afdb1758ee
DIST nc110.tgz 75267 BLAKE2B 203b5f54805ddef2c3e9627300dfb6d14f098e88433ca807c8db01f009dec1ccc329925025238dae00b5e82e91c0787ef25536d08310ac127cda1775cfb2afb3 SHA512 c9a7f5045f76d9ffef4e83fcc3e82f69ac4eb05e061686db51e9367949bfe0b90226b290a059dc68dcf3bf2040b95b5c78545199674da57a7c73e2f9145cf812
DIST netcat-110-patches-1.0.tar.bz2 25751 BLAKE2B c0be51a057981ad1df932f7317a1c317c8788efa670778a4f5bbf67c9d983754bd20188a15e7ced3d849a25244926afc54129e0a2df07bc34932d15a3efbf302 SHA512 b9e7e35aa7e26d30f0115d87aff34fd0cadfad99fdb77cc5aa3ba51bec331f632e180484927c4368172ee9cc6c996b8691bd19bad8806912d8820158a98eab46
EBUILD netcat-110-r9.ebuild 1647 BLAKE2B 1a79623b55b08d09c18a60000821479e5b8f08328be2f0b35b69664fa16d7344c4ab9dd022f70f9844ef636eb6883c08ac91177f248416d15b24e0a23b8c4eb6 SHA512 c6f41fc3890d7c7da89fab4597c99260de1160e5982732ddd57c090e04aef788e51dcac724ce78d1cc660c7d0a3459844ccf92dcd6c80c117a40dd842dab42d5
-MISC metadata.xml 498 BLAKE2B 2ba78beb0192d0ab6e5e0e553d887bf5df1a75efffc902be8f926c458f9a86e2b0bd55089e9d4479d2029f8c02744ed1bbfeb4a8eaa0e62bd0f25a8f530b5f13 SHA512 062866648a6be5781040741cc778034e9c09a7dfe0a97d250dd7d0e197c0981a257a4e0e1e663c49d56218fa7095ad6c21887206b62941210445dc9344144e44
+MISC metadata.xml 420 BLAKE2B 2ecb5d0734634fa00dbe4aecc8353dcad2a6d76bfb6ff22522b52ca2e67298a0923e46fd2d32c31f48262b06c6f46b02e4e065853c56efc793186132b2e92570 SHA512 f6d0b317880cf10065aa552d4653f3338c89fc36b2175d64b6b17bcdafbea03e0c02608904ffca7a934f2bdcc794758f4132b7cd279fc91530ab077eb2115ccf
diff --git a/net-analyzer/netcat/metadata.xml b/net-analyzer/netcat/metadata.xml
index 1b0803d3aadf..28817802168b 100644
--- a/net-analyzer/netcat/metadata.xml
+++ b/net-analyzer/netcat/metadata.xml
@@ -1,9 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="person">
- <email>vapier@gentoo.org</email>
- </maintainer>
<maintainer type="project">
<email>netmon@gentoo.org</email>
<name>Gentoo network monitoring and analysis project</name>
diff --git a/net-analyzer/rrdtool/Manifest b/net-analyzer/rrdtool/Manifest
index 8906f659a337..969fa51a7f87 100644
--- a/net-analyzer/rrdtool/Manifest
+++ b/net-analyzer/rrdtool/Manifest
@@ -16,6 +16,6 @@ DIST rrdtool-1.7.0.tar.gz 2849994 BLAKE2B f7a91fa661728850af55356a69b61ea1d4343c
EBUILD rrdtool-1.4.8-r1.ebuild 4038 BLAKE2B 3bf893dd39546b26280d36fc3474660ff53cad1b5538e104be1131623466a195b008073cfccd023236d3ab9c1bfee47235663b0991acc42e29d562f5fe24c20c SHA512 264d53646ed3854ce49618dfae1287bee512e8e59aefeb7a8118dbeeb4984a9e15d77fe60d07cf730e91beb5f7c356bfef3fbb4b3dbcb2efe607b709d6202b4f
EBUILD rrdtool-1.5.5-r1.ebuild 4301 BLAKE2B 049b30a1c6eb88c9629ea98fc951fc66eeeacd14944cf44020236768210e07a29bd552c2707910b292a113b0b47bb1eae9fed0d36f6c0f914c0fd1d5814aa301 SHA512 57199dbdf7eb7a38341e5106191b0e4e0076269c125e1ce76e69c94cc2c2f0e03788d541212d4ae4b05a31b2bb87119003be626b9a585e08038e13f4c13d0fc7
EBUILD rrdtool-1.5.5.ebuild 4027 BLAKE2B 1b281d9d92463ac5027750e45d673295e914dcc32ed512d19cd9558ddf1a433aba28c918f669dd9a42d61421b44b8d44b0cbdb2110c8e716e401f3b85e57b73b SHA512 6b0346093e6787f76d018c2e8fc52d60b0f8d0e108d17a8f6cc30f91856d69d082a75555861b4c71e1c62c466eb21d2acc38bf029993972bd8b90496debcf28c
-EBUILD rrdtool-1.6.0-r1.ebuild 4254 BLAKE2B 690cb72a807dacfa5c99291ea48a86c0fc2e5960a319f154c45b004c4a7e4537b6bab7c6c1579cb33c73eba625519e25b59eeede44284483264bde5dc00002e0 SHA512 0da9052dfedd8ac5bfba5150f6508c68bd123ceb6efac59673497e07305d1d05f1181fd117b8908b1c7da28181db516efd2a1c6efaef3707eb828cba44723a5a
+EBUILD rrdtool-1.6.0-r1.ebuild 4253 BLAKE2B d10be0ba8c0132ce56dc4f7361c12d4f55b1678d1ad5ac78f47adb74036b2355a0f92fadf424b24ec41146cfb7c83a5c6152e4794f6c782e645486b9b170f7f5 SHA512 cb7e258b588d4be3097a41f3a256ce4c338bdfb3bb6882ab3f01d01eb3f41ed2de1449b53340646ce52d2564fcb1b8bcfc01a8c45dd57226af5a7ee3fe2835bb
EBUILD rrdtool-1.7.0.ebuild 4310 BLAKE2B 3084372a08723bf67e31eafad1b38f74a650710a1e5abbbc3c06857d21a9535d5d3d0860d3751ab431e5f09a21917a08e875e383a0ae7613932cda6a23fde083 SHA512 e7813b76116883440c66108b1b15481f7a7a3a665b39f11c3ea719372563b5e983749a9b2b2f8d61cdc808ea37230cc08e250d67a301b4271bc3819bf5d79e7e
MISC metadata.xml 486 BLAKE2B d4e04c193a7b46a532791a0a448c7db4acaa4b4d4d775db70b6ab843ba32b616c91b516dbaca5b4e0a30649743553325a134291edb0ee17fe2ca049ed1e720ff SHA512 ddca3904aa3e0f1d2f543ae9329298a2dc69bbc0803c568d0871bb5ace21d2dee4d0b226e5eef0258fd59dd2cf046ee807afaa588e31db35e574f3d707894a23
diff --git a/net-analyzer/rrdtool/rrdtool-1.6.0-r1.ebuild b/net-analyzer/rrdtool/rrdtool-1.6.0-r1.ebuild
index d13a264e077c..03bd3fbee4e6 100644
--- a/net-analyzer/rrdtool/rrdtool-1.6.0-r1.ebuild
+++ b/net-analyzer/rrdtool/rrdtool-1.6.0-r1.ebuild
@@ -15,7 +15,7 @@ SRC_URI="http://oss.oetiker.ch/rrdtool/pub/${P/_/-}.tar.gz"
LICENSE="GPL-2"
SLOT="0/8.0.0"
-KEYWORDS="alpha ~amd64 arm hppa ia64 ~mips ppc ppc64 ~s390 ~sh ~sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux ~x86-macos ~x86-solaris"
+KEYWORDS="alpha ~amd64 arm hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux ~x86-macos ~x86-solaris"
IUSE="dbi doc graph lua perl python rados rrdcgi ruby static-libs tcl tcpd"
REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"